> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Onboard New Entity

> Create a new entity through the onboarding process.



## OpenAPI

````yaml /api-reference/openapi.json post /back-office/onboard/entity
openapi: 3.1.0
info:
  title: Payra API
  version: 1.0.0
  description: Documentação da API para Backoffice e Service
servers: []
security: []
paths:
  /back-office/onboard/entity:
    post:
      tags:
        - Onboarding
      summary: Onboard New Entity
      description: Create a new entity through the onboarding process.
      operationId: onboardEntity
      requestBody:
        description: Onboard request body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                organization:
                  type: object
                  properties:
                    email:
                      type: string
                      format: email
                    phoneNumber:
                      type: string
                    website:
                      type: string
                      format: uri
                    name:
                      type: string
                      minLength: 1
                    slug:
                      type: string
                  required:
                    - email
                    - name
                    - slug
                hyfin:
                  type: array
                  items:
                    type: object
                    properties:
                      hyfinAPIBaseUrl:
                        type: string
                      hyfinSiteId:
                        type: string
                      token:
                        type: string
                    required:
                      - hyfinAPIBaseUrl
                      - hyfinSiteId
                      - token
                integrations:
                  type: array
                  items:
                    type: object
                    properties:
                      serviceTypeId:
                        type: string
                      hyfinSiteId:
                        type: string
                      configuration: {}
                    required:
                      - serviceTypeId
                      - hyfinSiteId
                user:
                  type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                    email:
                      type: string
                      format: email
                    password:
                      type: string
                      minLength: 6
                  required:
                    - name
                    - email
                    - password
              required:
                - organization
                - hyfin
                - integrations
                - user
      responses:
        '200':
          description: Successfully onboarded new entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      organization:
                        type: object
                        properties:
                          email:
                            type: string
                            format: email
                          phoneNumber:
                            type: string
                          website:
                            type: string
                            format: uri
                          name:
                            type: string
                            minLength: 1
                          slug:
                            type: string
                          id:
                            type: string
                        required:
                          - email
                          - name
                          - slug
                          - id
                      hyfin:
                        type: array
                        items:
                          type: object
                          properties:
                            hyfinAPIBaseUrl:
                              type: string
                            hyfinSiteId:
                              type: string
                            token:
                              type: string
                          required:
                            - hyfinAPIBaseUrl
                            - hyfinSiteId
                            - token
                      integrations:
                        type: array
                        items:
                          type: object
                          properties:
                            serviceTypeId:
                              type: string
                            hyfinSiteId:
                              type: string
                            configuration: {}
                          required:
                            - serviceTypeId
                            - hyfinSiteId
                      user:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                          email:
                            type: string
                            format: email
                          password:
                            type: string
                            minLength: 6
                          id:
                            type: string
                        required:
                          - name
                          - email
                          - password
                          - id
                      id:
                        type: string
                      apiKey:
                        type: string
                    required:
                      - organization
                      - hyfin
                      - integrations
                      - user
                      - id
                      - apiKey
                required:
                  - data
        '400':
          description: Failed Validation
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: validation_error
                  message:
                    type: string
                  data:
                    type: array
                    items: {}
        '401':
          description: >-
            Unauthorized. The provided authentication token is invalid or
            expired.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: unauthorized
                  message:
                    type: string
                  data: {}
        '409':
          description: Conflict. The provided entity already exists.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: resource_already_exists
                  message:
                    type: string
                  data: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: internal_server_error
                  message:
                    type: string
                  data: {}

````